#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

include ../../Makefile.master

# install directory
MAN_INST_DIR=	$(ROOT)/usr/share/man/man1m
MANDIR = $(MAN_INST_DIR)

$(MANDIR):
	$(INS.dir)

MANFILES=	$(FILES:%=$(MAN_INST_DIR)/%)

$(MANFILES) := FILEMODE = 444

.KEEP_STATE:

all: $(FILES)

install: mandirs .WAIT all .WAIT $(MANFILES)

mandirs: $(MAN_INST_DIR)

$(MAN_INST_DIR)/%: %
	$(INS.file)

clean:

clobber: clean
	$(RM) -rf $(MAN_INST_DIR)
