/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_PM_FMA_H_
#define	_PM_FMA_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "pm_shared.h"

extern void pmi_fma_process_retire_event(srcid_t dom_id,
    pm_resid_t *resource_id);
extern void pmi_fma_process_unretire_event(srcid_t dom_id,
    pm_resid_t *resource_id);
extern bool_t pmi_is_resource_faulted(pm_resid_t *);

#ifdef __cplusplus
}
#endif

#endif /* _PM_FMA_H_ */
