/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_RESTART_H
#define	_RESTART_H

#pragma ident	"@(#)restart.h	1.1	06/11/14 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#define	EXIT_OK		0
#define	EXIT_RESTART	1
#define	EXIT_FATAL	2

void restart_init(void);
int restart_child(void);
void restart_wait(void);
void restart_fini(void);

#ifdef __cplusplus
}
#endif

#endif	/* _RESTART_H */
