/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef _DS_REGISTRY_H
#define	_DS_REGISTRY_H

#ifdef	__cplusplus
extern "C" {
#endif

#define	MD_UPDATE_SVC		"md-update"
#define	DOMAIN_SHUTDOWN_SVC	"domain-shutdown"
#define	DOMAIN_PANIC_SVC	"domain-panic"
#define	DR_CPU_SVC		"dr-cpu"
#define	DR_CRYPTO_CWQ_SVC	"dr-crypto-cwq"
#define	DR_CRYPTO_MAU_SVC	"dr-crypto-mau"
#define	DR_VIO_SVC		"dr-vio"
#define	DR_MEM_SVC		"dr-mem"
#define	VAR_CONFIG_SVC		"var-config"
#define	KEYSTORE_SVC		"keystore"
#define	FMA_CPU_SVC		"fma-cpu-service"
#define	FMA_MEM_SVC		"fma-mem-service"
#define	FMA_PRI_SVC		"fma-pri-service"
#define	FMA_PHYS_CPU_SVC	"fma-phys-cpu-service"
#define	FMA_PHYS_MEM_SVC	"fma-phys-mem-service"
#define	FMA_IO_DOMAIN_SVC	"fma-io-domain-service"
#define	MD_STORE_SVC		"mdstore"
#define	PRI_SVC			"pri"
#define	DIO_SVC			"agent-dio"

#ifdef	__cplusplus
}
#endif

#endif /* _DS_REGISTRY_H */
